# Class UrlSource

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a URL source in the Anthropic API.

    public class UrlSource : Source

Inheritance
  object
  Source
  UrlSource

Inherited Members
  Source.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### UrlSource()

Initializes a new instance of the UrlSource class.

    public UrlSource()

### UrlSource(string)

Initializes a new instance of the UrlSource class with a specified URL.

    public UrlSource(string url)

#### Parameters

`url` string

  The URL of the source document.

## Properties

### Url

Gets or sets the URL of the source document.

    public string Url { get; init; }

#### Property Value

string